- Qt 5.15
- Qt WebSockets
- QML Types
- WebSocket QML Type
- Qt 5.15.19 Reference Documentation

# WebSocket QML Type

QML interface to QWebSocket. More...

Import Statement: | import QtWebSockets 1.15
Since: | Qt 5.3

- List of all members, including inherited members

## Properties

- active : bool
- errorString : QString
- status : Status
- url : QUrl

## Signals

- binaryMessageReceived(QString message)
- statusChanged(Status status)
- textMessageReceived(QString message)

## Methods

- void sendBinaryMessage(ArrayBuffer message)
- void sendTextMessage(string message)

## Detailed Description

WebSockets is a web technology providing full-duplex communications channels over a single TCP connection. The WebSocket protocol was standardized by the IETF as RFC 6455 in 2011.

## Property Documentation

active : bool

When set to true, a connection is made to the server with the given url. When set to false, the connection is closed. The default value is false.

errorString : QString

Contains a description of the last error that occurred. When no error occurrred, this string is empty.

status : Status

Status of the WebSocket.

The status can have the following values:

- WebSocket.Connecting
- WebSocket.Open
- WebSocket.Closing
- WebSocket.Closed
- WebSocket.Error

url : QUrl

Server url to connect to. The url must have one of 2 schemes: ws:// or wss://. When not supplied, then ws:// is used.

## Signal Documentation

binaryMessageReceived(QString message)

This signal is emitted when a binary message is received. message contains the bytes received.

Note: The corresponding handler is `onBinaryMessageReceived`.

This signal was introduced in Qt 5.8.

statusChanged(Status status)

This signal is emitted when the status of the WebSocket changes. The status argument provides the current status.

Note: The corresponding handler is `onStatusChanged`.

See also WebSocket::status.

textMessageReceived(QString message)

This signal is emitted when a text message is received. message contains the bytes received.

Note: The corresponding handler is `onTextMessageReceived`.

## Method Documentation

void sendBinaryMessage(ArrayBuffer message)

Sends the parameter message to the server.

This method was introduced in Qt 5.8.

void sendTextMessage(string message)

Sends message to the server.